### 通用与浏览器环境的全局提示插件

#### 安装
npm i -S x-toast
#### 使用示例
标签引入注册在window上
也支持require和import
```
let xToast = require('x-toast')
//或者
//import xToast from 'x-toast'

xToast('这个是最简单的提示')

xToast.info('info提示')

xToast.error('error提示')

xToast.warning('warning提示')

xToast.success('success提示')

xToast.loading('loading提示')

//同样支持
xToast({
  msg:'这个是最简单的提示',
  type:'info'
})
```
#### 可配置项(待完善)
// 默认参数
```
{
  msg: '提示信息',
  duration: 2500,//自动关闭时间
  closable: false,//是否显示关闭图标
  closableSize: '8px',
  closableWidth: '1px',
  type: 'default',//提示类型
  translateY: '40px',
  minWidth: '70px',
  maxWidth: '200px',
  backgroundColor: '',
  textColor: '#fff',
  loadingSize: '15px',
  loadingBorderSize: '2px',
  autoClose: true,//是否自动关闭
  style:{}
}
```
